/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.tools.webadmin.ui.infra.session;

import javax.servlet.http.HttpSession;

import org.ow2.petals.tools.webadmin.ui.infra.bean.DomainLVO;
import org.ow2.petals.tools.webadmin.ui.infra.bean.InfoBean;

/**
 * Bean usually stored in the session
 * 
 * @author mcarpentier - EBM Websourcing
 *
 */
public class AdminSession
{
	/** laszlo requests **/
	public static String LASZLO_CLIENT="laszlo";
	
	/** laszlo upload file type**/
	public static String LASZLO_COMPONENT="component";
	public static String LASZLO_SA="sa";
	
	/** menu navigation info **/
	private String currentMenu;
		
    /** bar navigation **/
    public static String PETALS_ADMINISTRATION="petals_administration";
    public static String JUDDI_ADMINISTRATION="juddi_administration";
    public static String MONITORING="monitoring";
    
    /** user logged in**/
    private WebUser user;
    
    /** bean used to store and display any message**/
    private InfoBean infoBean = new InfoBean();
    
    /** store the itme to highlight in the navbar **/
    private String selectedMenu;
    
    /** store the selected component for refreshing graph **/
    private String selectedComponent;
    
    /** PEtALS domain**/
    private DomainLVO domain;
    
    /** last show action, usefull for refresh action**/
    private String lastShowAction;
    
    public DomainLVO getDomain() {
        return domain;
    }

    public void setDomain(DomainLVO domain) {
        this.domain = domain;
    }

    public WebUser getUser() {
        return user;
    }

    public static AdminSession getAdminSession(HttpSession iSession)
    {
        AdminSession session = (AdminSession)iSession.getAttribute("AdminSession");
        if(session == null)
        {
            session = new AdminSession();
            iSession.setAttribute("AdminSession", session);
        }
        return session;
    }
    
    /**
     * reset session
     */
    public void reset() {
        setUser(null);
        setSelectedMenu(null);
        setSelectedComponent(null);
    }

    public void setUser(WebUser user) {
        this.user = user;
    }

    public InfoBean getInfoBean() {
        return infoBean;
    }
    
    public void resetInfoBean() {
        this.infoBean.reset();
    }
    
    public String getSelectedMenu() {
        return selectedMenu;
    }

    public void setSelectedMenu(String selectedMenu) {
        this.selectedMenu = selectedMenu;
    }

	public String getCurrentMenu() {
		return currentMenu;
	}

	public void setCurrentMenu(String currentMenu) {
		this.currentMenu = currentMenu;
	}

	public String getSelectedComponent() {
		return selectedComponent;
	}

	public void setSelectedComponent(String selectedComponent) {
		this.selectedComponent = selectedComponent;
	}

    public String getLastShowAction() {
        return lastShowAction;
    }

    public void setLastShowAction(String lastShowAction) {
        this.lastShowAction = lastShowAction;
    }
    
    
   }
